Subject: [alpine-devel] new aport: inotify-tools

From: Francesco <[email-masked]>
Date: Wed, 5 Jan 2011 14:41:30 +0100

Please review and commit.

Thanks!

:: Francesco Colista
:: Email : [email-masked]
:: Jabber: [email-masked]
diff --git a/testing/inotify-tools/APKBUILD b/testing/inotify-tools/APKBUILD
new file mode 100644
index 0000000..3e9ed12
--- /dev/null
+++ b/testing/inotify-tools/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Francesco Colista <[email-masked]>
+# Maintainer: Francesco Colista <[email-masked]>
+pkgname=inotify-tools
+pkgver=3.14
+pkgrel=0
+pkgdesc="inotify-tools is a C library and a set of command-line programs for Linux providing a simple interface to inotify."
+url="http://inotify-tools.sourceforge.net/"
+license="GPL"
+depends=
+arch="x86 x86_64"
+makedepends="wget"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/downloads/rvoicilas/$pkgname/$pkgname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+
+	# remove the 2 lines below (and this) if there is no init.d script
+	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="b43d95a0fa8c45f8bab3aec9672cf30c  inotify-tools-3.14.tar.gz"
-- 
1.7.3.2

---

From: Leonardo Arena <[email-masked]>
Date: Wed, 5 Jan 2011 16:02:10 +0100

> :: Jabber: [email-masked]

Hi.

Please not that is already in edge :)
http://git.alpinelinux.org/cgit/aports/commit/?id=1e43dab33007dd7d31c32b63450edd194a23ba45

Regards,
- leonardo

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---